Some packages cannot be installed after upgrade to Trisquel 7

Projekt:Trisquel
Version:7.0
Komponente:Misc
Kategorie:Fehlerbericht
Priorität:normal
Zugewiesen:nicht zugewiesen
Status:wrong
Beschreibung

I've upgraded from Toutatis to Belenos, but at the end of the process two packages were not completely installed. [1] [2]

[1]
sudo LC_ALL=C aptitude full-upgrade
The following partially installed packages will be configured:
plymouth-theme-trisquel-logo trisquel-recommended
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Setting up plymouth-theme-trisquel-logo (0.8.8-0ubuntu17+7.0trisquel6) ...
update-alternatives: error: cannot stat file '/etc/alternatives/default.plymouth': Too many levels of symbolic links
dpkg: error processing package plymouth-theme-trisquel-logo (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of trisquel-recommended:
trisquel-recommended depends on plymouth-theme-trisquel-logo; however:
Package plymouth-theme-trisquel-logo is not configured yet.

dpkg: error processing package trisquel-recommended (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
plymouth-theme-trisquel-logo
trisquel-recommended
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up plymouth-theme-trisquel-logo (0.8.8-0ubuntu17+7.0trisquel6) ...
update-alternatives: error: cannot stat file '/etc/alternatives/default.plymouth': Too many levels of symbolic links
dpkg: error processing package plymouth-theme-trisquel-logo (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of trisquel-recommended:
trisquel-recommended depends on plymouth-theme-trisquel-logo; however:
Package plymouth-theme-trisquel-logo is not configured yet.

dpkg: error processing package trisquel-recommended (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
plymouth-theme-trisquel-logo
trisquel-recommended

[2]sudo LC_ALL=C aptitude reinstall trisquel-recommended
The following packages will be REINSTALLED:
trisquel-recommended
The following partially installed packages will be configured:
plymouth-theme-trisquel-logo
0 packages upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
E: Internal Error, No file name for trisquel-recommended:i386

Mo, 11/10/2014 - 12:32

It seems that you have a problem with 'plymouth-theme-trisquel-logo', which is properly installed on my system. Run the following command in terminal to reinstall that package, it might solve your problem.


$ sudo aptitude reinstall plymouth-theme-trisquel-logo

Di, 11/11/2014 - 08:07
Status:active» wrong

I've tried dpkg-reconfigure and aptitude reinstall for both plymouth-theme-trisquel-logo and trisquel-recommended. It seemd the problem has something to do with both. Finaly I purged/removed both. Now I installed them and it went without problems.

I'm closing the bug report.